> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Full-text product search powered by Meilisearch.

Supports typo-tolerance, filters (category/brand/in_stock/is_featured/
price_bucket), sorting, pagination, and returns facet counts. Always scoped
to the request tenant.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/search
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/search:
    get:
      tags:
        - search
      summary: Search
      description: >-
        Full-text product search powered by Meilisearch.


        Supports typo-tolerance, filters (category/brand/in_stock/is_featured/

        price_bucket), sorting, pagination, and returns facet counts. Always
        scoped

        to the request tenant.
      operationId: search_api_v1_search_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            description: Search query
            title: Q
          description: Search query
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
        - name: category_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category Id
        - name: brand_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Brand Id
        - name: in_stock
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: In Stock
        - name: is_featured
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Featured
        - name: price_bucket
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Price Bucket
        - name: sort
          in: query
          required: false
          schema:
            type: string
            description: e.g. 'price:asc', 'name:desc', 'sort_order:asc'
            default: ''
            title: Sort
          description: e.g. 'price:asc', 'name:desc', 'sort_order:asc'
        - name: lang
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Force content language (it|en|sq)
            title: Lang
          description: Force content language (it|en|sq)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_dict_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApiResponse_dict_:
      properties:
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[dict]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````